API v2 문서미디어
동영상·오디오 파일 정보 조회
동영상 또는 오디오 미디어 항목의 길이, 크기, 컨테이너, 코덱을 반환합니다. 참조 동영상 작업을 생성하기 전에 참조 파일이 모델의 제한을 충족하는지 확인할 수 있습니다.
Authorization
bearerAuth AuthorizationBearer <token>
인증이 필요한 모든 요청에는 HTTP 헤더에 다음을 추가하세요
In: header
Path Parameters
mediaId*string
동영상 또는 오디오 미디어 ID입니다.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.pixai.art/v2/media/string/info"{
"mediaId": "string",
"durationSeconds": 0,
"sizeBytes": "string",
"containers": [
"string"
],
"videoStreams": [
{
"codec": "string",
"width": 0,
"height": 0,
"averageFrameRate": 0
}
],
"audioStreams": [
{
"codec": "string"
}
]
}{
"code": "string",
"status": 0,
"message": "string",
"data": {},
"defined": true
}{
"code": "string",
"status": 0,
"message": "string",
"data": {},
"defined": true
}{
"code": "string",
"status": 0,
"message": "string",
"data": {},
"defined": true
}